### Method

# GSSDP Client get_host_ip

#### Declaration [src]

    const char*
    gssdp_client_get_host_ip (
      GSSDPClient* client
    )

#### Description [src]

Get the IP address we advertise ourselves as using.

Gets property | `GSSDP.Client:host-ip`

#### Return value

Type: `const char*`

The IP address. This string should not be freed.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.